[Python-apps-commits] r14131 - in packages/debomatic/trunk/debian (changelog tests/build)
dktrkranz at users.alioth.debian.org
dktrkranz at users.alioth.debian.org
Sat Jul 1 11:01:33 UTC 2017
Date: Saturday, July 1, 2017 @ 11:01:31
Author: dktrkranz
Revision: 14131
Improve test to be more reliable
Modified:
packages/debomatic/trunk/debian/changelog
packages/debomatic/trunk/debian/tests/build
Modified: packages/debomatic/trunk/debian/changelog
===================================================================
--- packages/debomatic/trunk/debian/changelog 2017-06-29 18:32:03 UTC (rev 14130)
+++ packages/debomatic/trunk/debian/changelog 2017-07-01 11:01:31 UTC (rev 14131)
@@ -4,6 +4,8 @@
- Remove dh-systemd from Build-Depends, its components are merged
into debhelper.
- texlive-generic-extra is now replaced by texlive-plain-generic.
+ * debian/tests/build:
+ - Improve code to be more reliable.
-- Luca Falavigna <dktrkranz at debian.org> Sun, 25 Jun 2017 10:12:09 +0200
Modified: packages/debomatic/trunk/debian/tests/build
===================================================================
--- packages/debomatic/trunk/debian/tests/build 2017-06-29 18:32:03 UTC (rev 14130)
+++ packages/debomatic/trunk/debian/tests/build 2017-07-01 11:01:31 UTC (rev 14131)
@@ -5,12 +5,14 @@
sed -i 's/modules: True/modules: False/' /etc/debomatic/debomatic.conf
grep /etc/debomatic/debomatic.conf -e "modules: False" || exit 1
+sed -i "s|incoming: /incoming|incoming: $ADTTMP/incoming|" /etc/debomatic/debomatic.conf
+grep /etc/debomatic/debomatic.conf -e "incoming: $ADTTMP/incoming" || exit 1
mkdir -p $HOME/.dput.d/profiles
cat > $HOME/.dput.d/profiles/local.json << EOF
{
"meta": "debomatic",
- "incoming": "/incoming",
+ "incoming": "$ADTTMP/incoming",
"method": "local",
"check-debs": {
"skip": true
@@ -18,14 +20,14 @@
}
EOF
-mkdir /incoming
+mkdir "$ADTTMP"/incoming
version=$(rmadison -u debian -a source -s unstable hello | cut -d"|" -f 2 | xargs)
upstream=$(echo $version | cut -d"-" -f1 | xargs)
component=$(rmadison -u debian -a source -s unstable hello | cut -d"|" -f 3 | cut -d"/" -f2 | sed 's/unstable/main/' | xargs)
dget -u http://deb.debian.org/debian/pool/$component/h/hello/hello_$version.dsc
cd hello-$upstream/
-debuild -S -uc -us
+debuild -S -d -uc -us
dput local ../hello_"$version"_source.changes
-debomatic -c /etc/debomatic/debomatic.conf -o /incoming/hello_"$version"_source.changes -i
-cat /incoming/unstable/pool/hello_$version/hello_$version.buildlog
-grep /incoming/unstable/pool/hello_$version/hello_$version.buildlog -e "Status: successful" || exit 1
+debomatic -c /etc/debomatic/debomatic.conf -o "$ADTTMP"/incoming/hello_"$version"_source.changes -i
+cat "$ADTTMP"/incoming/unstable/pool/hello_$version/hello_$version.buildlog
+grep "$ADTTMP"/incoming/unstable/pool/hello_$version/hello_$version.buildlog -e "Status: successful" || exit 1
More information about the Python-apps-commits
mailing list